


function data = getLinearOscilation(cycles, amp, period, res, randomness) 
    
    data = []; 
    x_vec = linspace(-0.5*period,0.5*period, res); 
    m_i = amp/0.25/period; 
    for i = 1:cycles     
        m_i = (-1)*m_i;  
        y = @(x) m_i.*x; 
        data = [data, y(x) + rand(1, res)]; 
    end

end